
QGIS Application - Bug report #14817

composerLegendAdded signal returns QObject instead of QgsComposerLegend

2016-05-14 03:01 AM - Christophe Damour

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.14.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 22772

Description

I am trying to connect a plugin function to the composerLegendAdded signal, and I can't get the legend position using

composerLegend.pagePos().

The error message is 'QObject' object has no attribute 'pagePos'.

History

#1 - 2016-07-19 08:00 AM - Christophe Damour

Still there in 2.14.4 ...

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-12-19 12:40 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

- Description updated

Signal is removed in QGIS 3.0
